## nodejs-mozilla 8.14.0-0ubuntu0.16.04.1

=== debian/changelog ===
nodejs-mozilla (8.14.0-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream release: 8.14.0

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 05 Dec 2018 16:16:25 +0100

nodejs-mozilla (8.12.0-0ubuntu0.16.04) UNRELEASED; urgency=medium

  * New package specifically tailored for building firefox >= 64

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sun, 28 Oct 2018 22:29:15 +0100
