## nodejs-mozilla 8.14.0-0ubuntu0.18.04.2

=== debian/changelog ===
nodejs-mozilla (8.14.0-0ubuntu0.18.04.2) bionic; urgency=medium

  * No-change rebuild

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 05 Dec 2018 14:24:06 +0100

nodejs-mozilla (8.14.0-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release: 8.14.0

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 05 Dec 2018 13:12:18 +0100

nodejs-mozilla (8.12.0-0ubuntu0.18.04) UNRELEASED; urgency=medium

  * New package specifically tailored for building firefox >= 64

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sun, 28 Oct 2018 22:30:08 +0100
