=== debian/changelog ===
nodejs-mozilla (10.21.0~dfsg-1~deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload.
  * Update nodejs-mozilla to 10, required for Firefox/Thunderbird 78.
  * Keep using internal c-ares and libuv as the ones in stretch are
    too old.
    + Disable uv_stable.patch to avoid a test failure with the internal
      libuv.
  * Also use internal brotli, new requirement in node v10 not available
    in stretch. Add it in a patch as it was removed in the dfsg tarball
    (due to lack of usage) to avoid repacking it again.
  * Embed acorn 5.5.3.
  * Lower openssl requirement to 1.1.0.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 23 Sep 2020 22:03:33 +0200

nodejs (10.21.0~dfsg-1~deb10u1) buster-security; urgency=medium

  * New upstream version 10.21.0~dfsg. Closes: #962145.
  * Security fixes:
    + CVE-2020-11080
    + CVE-2020-8172
    + CVE-2020-8174

 -- Jérémy Lal <kapouer@melix.org>  Thu, 04 Jun 2020 02:35:16 +0200

nodejs (10.19.0~dfsg1-1) buster-security; urgency=medium

  * New upstream version 10.19.0~dfsg1
  * Delete applied ssl 1.1.1 compatibility patches
  * Revert upstream changes to stay compatible with stable libuv1:
    + uv_os_uname is not available
    + test-dgram-address uv returns EINVAL, not EBADF
  * Never run tests in parallel to avoid memory exhaustion
  * Use embedded nghttp2 as upstream rely that much on having
    an updated version of it.
  * Avoid two tests to cause a FTBFS (Closes #919588)
  * Patch for compatibility with libuv1 from stable
  * uv in stable expects EINVAL, not EBADF
  * Link to atomic using a patch, LDFLAGS is not enough
  * Exclude brotli from deps, use system-installed one
    + B-D brotli
    + use upstream patch

 -- Jérémy Lal <kapouer@melix.org>  Mon, 20 Apr 2020 09:44:09 +0200

nodejs (10.15.2~dfsg-2) unstable; urgency=medium

  * Avoid two tests to cause a FTBFS (Closes #919588)
    + test-fs-error-messages fails with eatmydata
    + test-net-listen-after-destroying-stdin is flaky
  * gbp for debian/buster branch

 -- Jérémy Lal <kapouer@melix.org>  Mon, 08 Apr 2019 15:06:40 +0200

nodejs (10.15.2~dfsg-1) unstable; urgency=high

  * New upstream version 10.15.2~dfsg
    Slowloris HTTP Denial of Service with keep-alive
    (CVE-2019-5737)

 -- Jérémy Lal <kapouer@melix.org>  Thu, 28 Feb 2019 15:52:30 +0100

nodejs (10.15.1~dfsg-5) unstable; urgency=medium

  * Install only headers
  * /usr/include/v8 should contain the headers directly

 -- Jérémy Lal <kapouer@melix.org>  Sat, 09 Feb 2019 11:55:56 +0100

nodejs (10.15.1~dfsg-4) experimental; urgency=medium

  * Add libv8-dev symlinks:
    + libv8_libbase.so
    + libv8_libplatform.so
    + libv8_libsampler.so

 -- Jérémy Lal <kapouer@melix.org>  Fri, 08 Feb 2019 16:13:57 +0100

nodejs (10.15.1~dfsg-3) experimental; urgency=medium

  * Provides libv8-dev (Closes: #920329)

 -- Jérémy Lal <kapouer@melix.org>  Fri, 08 Feb 2019 14:25:03 +0100

nodejs (10.15.1~dfsg-2) unstable; urgency=medium

  * Fix Build-Deps and add libssl-dev to libnode-dev.
    Closes: #921074.
  * Refactor deps in debian/rules
  * Declare Breaks properly in rules/control.in.in

 -- Jérémy Lal <kapouer@melix.org>  Fri, 01 Feb 2019 22:18:18 +0100

nodejs (10.15.1~dfsg-1) experimental; urgency=medium

  * New upstream version 10.15.1~dfsg
  * Backport upstream-approved Node 11 openssl 1.1.1a support
    (except a test that was weird to backport).

  [ Mattia Rizzolo ]
  * Add Breaks:node-modern-syslog (<< 1.1.4-2) to libnode64.
    node-modern-syslog before 1.1.4-2 depended on the nodejs
    ABI, but didn't have an appropriate dependency.

 -- Jérémy Lal <kapouer@melix.org>  Thu, 31 Jan 2019 09:54:11 +0100

nodejs (10.15.0~dfsg-10) unstable; urgency=medium

  * M-A: same on libnode-dev, nodejs-dev
  * Drop nodejs-dev package.
    Addons should instead:
    + Build-Depends libnode-dev, node-gyp
    + remove dh --with nodejs argument in debian/rules
    + use debhelper >= 10 because it strips and shlibs *.node files

 -- Jérémy Lal <kapouer@melix.org>  Fri, 25 Jan 2019 13:51:37 +0100

nodejs (10.15.0~dfsg-9) unstable; urgency=medium

  * M-A: foreign on nodejs-doc
  * libnode-dev depends libuv1-dev (Closes: #905415)

 -- Jérémy Lal <kapouer@melix.org>  Mon, 21 Jan 2019 08:33:36 +0100

nodejs (10.15.0~dfsg-8) unstable; urgency=medium

  * Suggests npm - because nodejs must not be blocked by it.
    Closes: #918388.
  * Patch to silence buffer deprecations. Closes: #918456.
    This patch is meant to ease migration to testing, and to be
    removed as soon as possible.
    It avoids printing to stderr deprecation warning about
    calling Buffer as a constructor without the new operator.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 06 Jan 2019 11:18:34 +0100

nodejs (10.15.0~dfsg-7) unstable; urgency=medium

  * Add missing shlibs, Closes: #917961.
  * Nodejs 10 is here, Close #914965.
  * libnode-dev: install openssl.cnf in /usr/include/nodejs
  * Recommends npm, Closes: #918388.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 05 Jan 2019 19:48:20 +0100

nodejs (10.15.0~dfsg-6) unstable; urgency=medium

  * nodejs: strict dependency on libnode64

 -- Jérémy Lal <kapouer@melix.org>  Tue, 01 Jan 2019 19:03:27 +0100

nodejs (10.15.0~dfsg-5) experimental; urgency=medium

  * mips(el): -latomic
  * Remove split-dwarf for any arch, only for mips
  * Forgot to export LDFLAGS

 -- Jérémy Lal <kapouer@melix.org>  Sat, 29 Dec 2018 17:16:30 +0100

nodejs (10.15.0~dfsg-4) experimental; urgency=medium

  * CPPFLAGS, CFLAGS -gsplit-dwarf for any arch
    Why would this be reserved to mips anyway.
  * Standards-Version 4.3.0

 -- Jérémy Lal <kapouer@melix.org>  Fri, 28 Dec 2018 11:19:02 +0100

nodejs (10.15.0~dfsg-3) experimental; urgency=medium

  * Add CPPFLAGS += -gsplit-dwarf as well

 -- Jérémy Lal <kapouer@melix.org>  Fri, 28 Dec 2018 10:04:23 +0100

nodejs (10.15.0~dfsg-2) experimental; urgency=medium

  * Add -gsplit-dwarf on mips to work around #829139


