=== debian/control ===
Source: nodejs-mozilla
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper (>=9.20160114),
 dh-buildinfo,
 pkg-config,
 bash-completion,
 libkvm-dev [kfreebsd-any],
 gyp (>= 0.1~svn1773),
 openssl (>= 1.1.0~),
 zlib1g-dev,
 libicu-dev,
# libc-ares-dev (>= 1.14~),
# libbrotli-dev,
 curl,
 procps,
# node-acorn,
 ca-certificates,
 python,
 libssl-dev (>= 1.1.0~),
# libuv1-dev (>= 1.20.0~)
Standards-Version: 4.3.0
Homepage: http://nodejs.org/
Vcs-Browser: https://salsa.debian.org/js-team/nodejs/tree/master-10.x
Vcs-Git: https://salsa.debian.org/js-team/nodejs.git -b master-10.x

Package: nodejs-mozilla
Architecture: amd64 arm64 armhf i386 kfreebsd-i386 kfreebsd-amd64 mips mips64el mips64r6el mipsel ppc64 ppc64el s390x
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Provides: ${cdbs:Provides}
Recommends: ${cdbs:Recommends},
Description: evented I/O for V8 javascript - runtime executable
 Node.js is a platform built on Chrome's JavaScript runtime for easily
 building fast, scalable network applications. Node.js uses an
 event-driven, non-blocking I/O model that makes it lightweight and
 efficient, perfect for data-intensive real-time applications that run
 across distributed devices.
 .
 Node.js is bundled with several useful libraries to handle server
 tasks:
 .
 System, Events, Standard I/O, Modules, Timers, Child Processes, POSIX,
 HTTP, Multipart Parsing, TCP, DNS, Assert, Path, URL, Query Strings.
