## nodejs-mozilla 12.16.1

=== debian/changelog ===
nodejs-mozilla (12.16.1-0ubuntu0.18.04.2) bionic; urgency=medium

  * New upstream release: 12.16.1

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 02 Apr 2020 15:14:42 +0200
