=== debian/changelog ===
nodejs-mozilla (12.18.1-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream release: 12.18.1

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 25 Jun 2020 18:21:03 +0200

nodejs-mozilla (12.16.1-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream release: 12.16.1

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 01 Apr 2020 15:01:53 +0200
