=== debian/control ===
Source: nodejs-mozilla
Section: javascript
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper, python
Standards-Version: 4.1.2
Homepage: http://nodejs.org/
Vcs-Browser: https://code.launchpad.net/~mozillateam/+git/nodejs-mozilla
Vcs-Git: https://git.launchpad.net/~mozillateam/+git/nodejs-mozilla

Package: nodejs-mozilla
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: evented I/O for V8 javascript
 Node.js is a platform built on Chrome's JavaScript runtime for easily
 building fast, scalable network applications. Node.js uses an
 event-driven, non-blocking I/O model that makes it lightweight and
 efficient, perfect for data-intensive real-time applications that run
 across distributed devices.
 .
 Node.js is bundled with several useful libraries to handle server
 tasks:
 .
 System, Events, Standard I/O, Modules, Timers, Child Processes, POSIX,
 HTTP, Multipart Parsing, TCP, DNS, Assert, Path, URL, Query Strings.
