=== debian/changelog ===
nodejs-mozilla (12.22.12-0ubuntu0.18.04.2) bionic; urgency=medium

  * Do not make parallel builds conditional on the architecture,
    for consistency with the focal branch (where the packages FTBFS
    on Launchpad when using parallelization on all architectures)
    - debian/rules

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 27 Jul 2022 18:16:08 +0200

nodejs-mozilla (12.22.12-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release: 12.22.12 (now required to build Firefox 104,
    see https://bugzilla.mozilla.org/show_bug.cgi?id=1762571)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 22 Jul 2022 18:58:21 +0200

nodejs-mozilla (12.18.1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release: 12.18.1

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 25 Jun 2020 18:29:24 +0200
