=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CONFIGURE_FLAGS = --prefix=/usr/lib/nodejs-mozilla --without-npm
ifeq (armhf, $(DEB_HOST_ARCH))
CONFIGURE_FLAGS += --with-arm-float-abi=hard
CONFIGURE_FLAGS += --with-arm-fpu=vfpv3
endif

export HOME = $(CURDIR)/tmp
export FLAKY_TESTS = dontcare
export TEST_CI_ARGS = --timeout=3000
export CI_JS_SUITES = message parallel sequential
export NODE_TEST_DIR = $(CURDIR)/tmp

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	./configure $(CONFIGURE_FLAGS)

override_dh_auto_test:
	make test-ci-js
